Package org.zeromq

# Class ZMQ.PollItem

java.lang.Object
org.zeromq.ZMQ.PollItem

Enclosing class:
  `ZMQ`

public static class ZMQ.PollItem extends Object

## Constructor Summary

Constructors
Constructor
Description
`PollItem(SelectableChannel channel, int events)`
`PollItem(ZMQ.Socket socket, int events)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`SelectableChannel`
`getRawSocket()`
`ZMQ.Socket`
`getSocket()`
`boolean`
`isError()`
`boolean`
`isReadable()`
`boolean`
`isWritable()`
`int`
`readyOps()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PollItem

public PollItem(ZMQ.Socket socket, int events)

### PollItem

public PollItem(SelectableChannel channel, int events)

## Method Details

### getRawSocket

public SelectableChannel getRawSocket()

### getSocket

public ZMQ.Socket getSocket()

### isError

public boolean isError()

### readyOps

public int readyOps()

### isReadable

public boolean isReadable()

### isWritable

public boolean isWritable()

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`